com.pixelmed.anatproc

## Class CTAnatomy

- java.lang.Object
- - com.pixelmed.anatproc.CTAnatomy

    public class CTAnatomy
    extends java.lang.Object

This class encapsulates information pertaining to anatomy of CT images.

Utility methods provide for the detection of anatomy from various header attributes regardless of whether these are formal codes, code strings or free text comments.

### Field Summary

Fields
`protected static DisplayableAnatomicConcept[]` `anatomicConceptEntries`
`protected static DictionaryOfConcepts` `anatomyConcepts`
`protected static java.lang.String[]` `badAnatomyWords`
`protected static java.lang.String[]` `badLateralityOrViewOrAnatomyPhraseTriggers`
`protected static int` `debugLevel`

### Constructor Summary

Constructors
Constructor and Description
`CTAnatomy()`

### Method Summary

Methods
`static DisplayableConcept` `findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, java.lang.String[] badPhraseTriggers)`
`static DisplayableAnatomicConcept` `findAnatomicConcept(AttributeList list)`
`static DictionaryOfConcepts` `getAnatomyConcepts()`
`static void` `main(java.lang.String[] arg)` Read the DICOM input file and extract anatomical information.
`protected static java.lang.String[]` `newStringArray(java.lang.String... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugLevel

    protected static int debugLevel

#### badLateralityOrViewOrAnatomyPhraseTriggers

    protected static java.lang.String[] badLateralityOrViewOrAnatomyPhraseTriggers

#### badAnatomyWords

    protected static java.lang.String[] badAnatomyWords

#### anatomicConceptEntries

    protected static DisplayableAnatomicConcept[] anatomicConceptEntries

#### anatomyConcepts

    protected static DictionaryOfConcepts anatomyConcepts

### Constructor Detail

#### CTAnatomy

    public CTAnatomy()

### Method Detail

#### newStringArray

    protected static java.lang.String[] newStringArray(java.lang.String... values)

#### getAnatomyConcepts

    public static DictionaryOfConcepts getAnatomyConcepts()

#### findAnatomicConcept

    public static DisplayableAnatomicConcept findAnatomicConcept(AttributeList list)

#### findAmongstGeneralAttributes

    public static DisplayableConcept findAmongstGeneralAttributes(AttributeList list,
                                                  DictionaryOfConcepts concepts,
                                                  java.lang.String[] badPhraseTriggers)

#### main

    public static void main(java.lang.String[] arg)

Read the DICOM input file and extract anatomical information.

Parameters:
  `arg` - array of one string, the filename to read